Summary:	SIP test tool / traffic generator
Name:		sipp
Version:	2.0.1
Release: 	4%{?dist}
License:	GPL
Group:		Applications/Communications
URL:		http://sipp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Patch0:		sipp--Makefile-fix-paths.diff
BuildRequires:	ncurses-devel
%if 0%{?el4}
BuildRequires:	libpcap
%else
BuildRequires:	libpcap-devel
%endif
BuildRequires:	openssl-devel
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SIPp is a free Open Source test tool / traffic generator for the SIP protocol.
It includes a few basic SipStone user agent scenarios (UAC and UAS) and 
establishes and releases multiple calls with the INVITE and BYE methods. It 
can also reads custom XML scenario files describing from very simple to 
complex call flows. It features the dynamic display of statistics about 
running tests (call rate, round trip delay, and message statistics), periodic 
CSV statistics dumps, TCP and UDP over multiple sockets or multiplexed with 
retransmission management and dynamically adjustable call rates.

%prep
%setup -n sipp-2.0.1.src
%patch0
rm -rf pcap/.svn 

%build
DEBUG_FLAGS="%{optflags}" %{__make} %{?_smp_mflags} pcapplay_ossl

%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 sipp $RPM_BUILD_ROOT%{_bindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -R pcap $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt MEDIA.txt README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog

* Fri Sep  7 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-4
- Removed .svn entries (close BZ #282431)
- Added macro for builds for EL-4

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3.2
- finally added correct BR for EL-4

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3.1
- rebuild

* Wed Jul 25 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-3
- Added tcpdump instead of libpcap as BR for EL-4

* Sun Jun 10 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-2
- rebuild

* Wed Jun  6 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0.1-1
- Version 2.0.1

* Sat May 12 2007 Peter Lemenkov <lemenkov@gmail.com> 2.0-1
- Version 2.0

* Wed Jan 17 2007 Peter Lemenkov <lemenkov@gmail.com> 1.1-0.rc8
- small cleanup

* Thu Dec 21 2006 Peter Lemenkov <lemenkov@gmail.com> 1.1-0.rc8
- Version 1.1rc8

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> 1.1rc6-0
- Initial build for FE

